org.mariadb.jdbc

## Class MySQLSavepoint

- java.lang.Object
- - org.mariadb.jdbc.MySQLSavepoint

All Implemented Interfaces:
  Savepoint

    public class MySQLSavepoint
    extends Object
    implements Savepoint

### Constructor Summary

Constructors
Constructor and Description
`MySQLSavepoint(String name, int savepointId)`

### Method Summary

Methods
`int` `getSavepointId()` Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String` `getSavepointName()` Retrieves the name of the savepoint that this `Savepoint` object represents.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MySQLSavepoint

    public MySQLSavepoint(String name,
                  int savepointId)

### Method Detail

#### getSavepointId

    public int getSavepointId()
                       throws SQLException

Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

Specified by:
  `getSavepointId` in interface `Savepoint`
Returns:
  the numeric ID of this savepoint
Throws:
  `SQLException` - if this is a named savepoint
Since:
  1.4

#### getSavepointName

    public String getSavepointName()
                            throws SQLException

Retrieves the name of the savepoint that this `Savepoint` object represents.

Specified by:
  `getSavepointName` in interface `Savepoint`
Returns:
  the name of this savepoint
Throws:
  `SQLException` - if this is an un-named savepoint
Since:
  1.4

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`